\begin{tikzpicture}[scale=0.7, every node/.style={transform shape}]
	\umlclass[]{Game}{
		    \code{p1} : \code{Player} \\
		    \code{p2} : \code{Player} \\
		}
		{
    		+ \code{move()} \\
	    	- \code{get\_result(m1 : Move, m2: Move) : Result()} \\
		    - \code{show\_result(res : Result)} \\
		}
    \umlclass[x = 8]{Player}
    {
        \code{name} : \code{string}\\
        \code{score} : \code{int}
    }
    {
        \code{get\_move() : Move}
    }
	
	\umlcompo{Game}{Player}
	
	
	
\end{tikzpicture}